Skip to content

getConsumable

READ

Get consumable.

POST /api/v1/items/getConsumable
curl -X POST '<your-host>/api/v1/items/getConsumable' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "active": true,
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "defaultMethodType": "Purchase to Order",
  "description": "string",
  "id": "string",
  "itemPostingGroupId": "string",
  "itemTrackingType": "Inventory",
  "mpn": "string",
  "name": "string",
  "notes": "…",
  "readableId": "string",
  "readableIdWithRevision": "string",
  "replenishmentSystem": "Buy",
  "revision": "string",
  "revisions": "…",
  "supplierIds": "string",
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "unitOfMeasure": "string",
  "unitOfMeasureCode": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    }
  },
  "required": [
    "itemId"
  ]
}